Query Futures IP Whitelists
- Query IP whitelist for each endpoint and connections count
- Please note that the connection -1 means the IP is being added to the whitelist, -2 means the IP is failed to update, the other values indicate the current live connections
HTTP Request
GET /sapi/v1/vip/vip-portal/futures/ip-whitelists
Weight(IP)
1
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| RecvWindow | LONG | NO | No more than 60000 |
| timestamp | LONG | YES | |
| endpoint | STRING | NO | FAPI-MM FSTREAM-MM |
Example Response
{
"status": "OK",
"type": "GENERAL",
"code": "000000000",
"data": [
{
"endpoint": "FAPI-MM",
"totalConnectionQuota": 600,
"connectionCount": 200,
"ipLimit": 350,
"addIpCount": 200,
"ipConnections": {
"192.168.1.0": 0, // 0 means added ok.
"192.168.1.1": -1, // -1 means In-progress for update
"192.168.1.2": -2, // -2 means Failed to update
"192.168.1.3": 10
}
},
{
"endpoint": "FSTREAM-MM",
"totalConnectionQuota": 600,
"connectionCount": 200,
"ipLimit": 350,
"addIpCount": 200,
"ipConnections": {
"192.168.1.0": 0,
"192.168.1.1": -1,
"192.168.1.2": -2,
"192.168.1.3": 10
}
}
]
}